# CMAKE generated file: DO NOT EDIT!
# Generated by "MinGW Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

SHELL = cmd.exe

# The CMake executable.
CMAKE_COMMAND = "C:\Program Files (x86)\CMake 2.8\bin\cmake.exe"

# The command to remove a file.
RM = "C:\Program Files (x86)\CMake 2.8\bin\cmake.exe" -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = "C:\Program Files (x86)\CMake 2.8\bin\cmake-gui.exe"

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = D:\work\libs\pip_0.4.0_r5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = D:\work\libs\pip_0.4.0_r5

# Include any dependencies generated for this target.
include code_model_generator/CMakeFiles/pip_cmg.dir/depend.make

# Include the progress variables for this target.
include code_model_generator/CMakeFiles/pip_cmg.dir/progress.make

# Include the compile flags for this target's objects.
include code_model_generator/CMakeFiles/pip_cmg.dir/flags.make

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj: code_model_generator/CMakeFiles/pip_cmg.dir/flags.make
code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj: code_model_generator/CMakeFiles/pip_cmg.dir/includes_CXX.rsp
code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj: code_model_generator/main.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report D:\work\libs\pip_0.4.0_r5\CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj"
	cd /d D:\work\libs\pip_0.4.0_r5\code_model_generator && C:\MinGW\bin\g++.exe   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles\pip_cmg.dir\main.cpp.obj -c D:\work\libs\pip_0.4.0_r5\code_model_generator\main.cpp

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/pip_cmg.dir/main.cpp.i"
	cd /d D:\work\libs\pip_0.4.0_r5\code_model_generator && C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_FLAGS) -E D:\work\libs\pip_0.4.0_r5\code_model_generator\main.cpp > CMakeFiles\pip_cmg.dir\main.cpp.i

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/pip_cmg.dir/main.cpp.s"
	cd /d D:\work\libs\pip_0.4.0_r5\code_model_generator && C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_FLAGS) -S D:\work\libs\pip_0.4.0_r5\code_model_generator\main.cpp -o CMakeFiles\pip_cmg.dir\main.cpp.s

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.requires:
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.requires

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.provides: code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.requires
	$(MAKE) -f code_model_generator\CMakeFiles\pip_cmg.dir\build.make code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.provides.build
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.provides

code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.provides.build: code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj

# Object files for target pip_cmg
pip_cmg_OBJECTS = \
"CMakeFiles/pip_cmg.dir/main.cpp.obj"

# External object files for target pip_cmg
pip_cmg_EXTERNAL_OBJECTS =

code_model_generator/pip_cmg.exe: code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj
code_model_generator/pip_cmg.exe: code_model_generator/CMakeFiles/pip_cmg.dir/build.make
code_model_generator/pip_cmg.exe: libpip.dll.a
code_model_generator/pip_cmg.exe: code_model_generator/CMakeFiles/pip_cmg.dir/objects1.rsp
code_model_generator/pip_cmg.exe: code_model_generator/CMakeFiles/pip_cmg.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking CXX executable pip_cmg.exe"
	cd /d D:\work\libs\pip_0.4.0_r5\code_model_generator && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles\pip_cmg.dir\link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
code_model_generator/CMakeFiles/pip_cmg.dir/build: code_model_generator/pip_cmg.exe
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/build

code_model_generator/CMakeFiles/pip_cmg.dir/requires: code_model_generator/CMakeFiles/pip_cmg.dir/main.cpp.obj.requires
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/requires

code_model_generator/CMakeFiles/pip_cmg.dir/clean:
	cd /d D:\work\libs\pip_0.4.0_r5\code_model_generator && $(CMAKE_COMMAND) -P CMakeFiles\pip_cmg.dir\cmake_clean.cmake
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/clean

code_model_generator/CMakeFiles/pip_cmg.dir/depend:
	$(CMAKE_COMMAND) -E cmake_depends "MinGW Makefiles" D:\work\libs\pip_0.4.0_r5 D:\work\libs\pip_0.4.0_r5\code_model_generator D:\work\libs\pip_0.4.0_r5 D:\work\libs\pip_0.4.0_r5\code_model_generator D:\work\libs\pip_0.4.0_r5\code_model_generator\CMakeFiles\pip_cmg.dir\DependInfo.cmake --color=$(COLOR)
.PHONY : code_model_generator/CMakeFiles/pip_cmg.dir/depend

